#ifndef MOF_TEXTURE_BUILDER_HPP
#define MOF_TEXTURE_BUILDER_HPP
#include <d3d9.h>

namespace mof{
	
	class TextureBuilder
	{
	public:
		virtual ~TextureBuilder(){}
		virtual  LPDIRECT3DTEXTURE9 create() = 0;
	};


}

#endif